<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>
<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />
<style>
.div-a{ float:left;} 
.div-b{ float:left;} 
</style>


<div class="row">
	<div class="col-xs-12">
<!-- 		<form class="form-search" >
				<div class="dropdown">
					企&nbsp;&nbsp;业&nbsp;&nbsp;名&nbsp;&nbsp;&nbsp;:<input id="name" class="input-medium search-query" type="text" /> 
					联系人姓名:<input id="contactName" class="input-medium search-query" type="text" /> 
					联系人电话:<input  id="mobile" class="input-medium search-query" type="text" /> 
				  	付费类型:
				  Single button
				<select id=PayTypeName>
				    <option selected value="" >全部</option>
				    <option value="1" >已付费</option>
				    <option value="0" >未付费</option>
				</select>
			<button id="searchd" type="submit" class="btn" style="float:right;margin-right:315px" onClick="searchd">搜索</button>
			</form> -->
		<table id="grid-table"></table>
		<div id="grid-pager"></div>
		<script type="text/javascript">
			var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
		</script>
		<!-- PAGE CONTENT ENDS -->
	</div><!-- /.col -->
</div><!-- /.row -->
<div id="modal-table-custer" class="modal fade" tabindex="-1" data-backdrop="static">

</div>
<!-- page specific plugin scripts -->
<script type="text/javascript">
		var scripts = [null, "${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js", "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js", null ]
        $('.page-content-area').ace_ajax('loadScripts', scripts, function() {
        	// inline scripts related to this page
        	jQuery(function($) {
        		var grid_selector = "#grid-table";
        		var pager_selector = "#grid-pager";
        		// resize to fit page size
        		$(window).on('resize.jqGrid', function() {
        			$(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
        		})
        		// resize on sidebar collapse/expand
        		var parent_column = $(grid_selector).closest('[class*="col-"]');
        		$(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
        			if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
        				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
        				setTimeout(function() {
        					$(grid_selector).jqGrid('setGridWidth', parent_column.width());
        				}, 0);
        			}
        		})
			/*搜索框  主要对Jquery grid进行刷新 带参数刷新    */
				$("#searchd").click(function(){
				var nameVal =$("#name").val();var contactName =$("#contactName").val();var mobile =$("#mobile").val();
				var PayTypeName =$("#PayTypeName").val();
			    	  myGrid.setGridParam({data:'json',url : '${contextPath}/sys/company/getHQLCompany?name='+nameVal+'&contactName='+contactName+'&mobile='+mobile+'&PayTypeName='+PayTypeName+''}).trigger('reloadGrid');
				});

        		var myGrid=	jQuery(grid_selector).jqGrid({
        			subGrid : false,
        			url : "${contextPath}/sys/product/getProduct",
        			datatype : "json",
        			height : 450,
        			colNames : ['',"排序","套餐名称", "价格","电话咨询", "合同审核","免费打官司","有效期","联系电话","简介","内容","类型"],
        			colModel : [{
        				name : '',
        				index : '',
        				width : 80,
        				fixed : true,
        				sortable : false,
        				resize : false,
        				formatter : 'actions',
        				formatoptions : {
        					keys : true,
        					//delbutton : false,//disable delete button
        					delOptions : {
        						recreateForm : true,
        						beforeShowForm : beforeDeleteCallback
        					}
        					//editformbutton:true, editOptions:{recreateForm:true, beforeShowForm:beforeEditCallback}
        				}
        			}, {
        				name : "sequnceNum",
        				index : "sequnceNum",
        				width : 80,
        				editable : true,
        				search : false
        			},{
        				name : "name",
        				index : "name",
        				width : 150,
        				search : false,
        				editable : true
        			}, {
        				name : "price",//contactIdentity
        				index : "price",
        				width : 100,
        				editable : true
        			}, {
        				name : "numCall",
        				index : "numCall",
        				width : 100,
        				editable : true,
        				search : false,
        			}, {
        				name : "numFile",
        				index : "numFile",
        				width : 100,
        				editable : true,
        				search : false
        			}, {
        				name : "numService",
        				index : "numService",
        				width : 100,
        				editable : true,
        				search : false
        			}, {
        				name : "validDay",
        				index : "validDay",
        				width : 100,
        				editable : true,
        				search : false
        			}, {
        				name : "contact",
        				index : "contact",
        				width : 150,
        				editable : true,
        				search : false
        			}, {
        				name : "remark",
        				index : "remark",
        				width : 150,
        				editable : true,
        				search : false
        			}, {
        				name : "content",
        				index : "content",
        				editable : true,
        				edittype : "textarea",
        				search : false
        				
        			}, {
        				name : 'showFlag',
        				index : 'showFlag',
        				width : 110,
        				editable : true,
        				edittype : "select",
        				editoptions:{value:"0:显示;1:不显示"},formatter:defaultProductFormat
        			}
        			],
        			//scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
        			sortname : "sequnceNum",//排序规则字段
        			sortorder : "asc",//升序 降序定义
        			viewrecords : true,
        			rowNum : 10,//定义初始行数
        			rowList : [ 10, 20, 30 ],
        			pager : pager_selector,
        			altRows : true,
        			//toppager : true,
        			multiselect : true,
        			//multikey : "ctrlKey",
        	        multiboxonly : true,
        			loadComplete : function() {
        				var table = this;
        				setTimeout(function(){
        					styleCheckbox(table);
        					updateActionIcons(table);
        					updatePagerIcons(table);
        					enableTooltips(table);
        				}, 0);
        			},
        			 editurl : "${contextPath}/sys/product/operateProduct"
        			//caption : "用户管理列表",
        			//autowidth : true,
        			/**
        			grouping : true, 
        			groupingView : { 
        				 groupField : ['name'],
        				 groupDataSorted : true,
        				 plusicon : 'fa fa-chevron-down bigger-110',
        				 minusicon : 'fa fa-chevron-up bigger-110'
        			},
        			*/
        		});
        		
        		//默认值格式化
				function defaultProductFormat(cellvalue, options, rowObject){
					switch(cellvalue)
					{
					case 0:
					return "显示";
						break;
					case 1:
						return "不显示";
						break;
					default:
					return cellvalue;
					}
				}
        		
				
        		//company 
        		function moveButton(cellvalue, options, rowObject){
					return "<input class='movingup' type='button' name='" + cellvalue + "' value='编辑 ' />";
				}
				
				//编辑页面 也就是模态窗口
        		$(grid_selector).delegate("input.movingup","click",function(){
      				//弹出模态窗口
        		$("#modal-table").modal("toggle");
    			var 	myId=$(this).attr('name');
    			//模块窗口 详情信息 同样是json数据
				 $.getJSON("${contextPath}/sys/company/searchComp?id="+myId+"",function(result){
					 $.each(result, function(i, field){
						$("#"+i+"").text(field);
						if(i=='mobile'){
							$("#mobilepro").text(field);
						}
						if(i=='name'){
						$("#namepro").text(field);
						}
						if(i=='contactName'){
							$("#contactNamepro").text(field);
						}
					 });
			  });
			  $("#choseUser").click(function(event){
			  $("#choseDiv").show();//显示隐藏元素
			   //模块窗口 详情信息 同样是json数据 //选择客服操作
		 	 $.getJSON("${contextPath}/sys/company/choseCustr",function(result){
		 	 	 $.each(result, function(i, field){
			  		$("#choseUserVal").append("<option  value='"+field.id+"'>"+field.realName+"</option>");
					 });
				  });
				  //禁用鼠标点击
				  $("#choseUser").unbind();
				  });
				   //提交form
				$("#saveForm").click(function(){
				//客服id 等同于sysUserID
				var id=	$( "#choseUserVal option:selected").val();
				if(id){
					$.ajax({
				   type: "POST",
				   url: "${contextPath}/sys/company/updateCompany",
				   data: "sysUid="+id+"&companyUid="+myId+"",
				   success: function(msg){
				   
				   }
				});
				}
				});
			});
	  			/*body 结束  */
        		$(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size
        		// enable search/filter toolbar
        		// jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
        		// jQuery(grid_selector).filterToolbar({});
        		// switch element when editing inline
        		function aceSwitch(cellvalue, options, cell) {
        			setTimeout(function() {
        				$(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			}, 0);
        		}
        		
        		// navButtons
        		jQuery(grid_selector).jqGrid('navGrid', pager_selector, { // navbar options
        			edit : <shiro:hasPermission name="${ROLE_KEY}:product:edit">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:edit">false</shiro:lacksPermission>,
        			editicon : 'ace-icon fa fa-pencil blue',
        			add : <shiro:hasPermission name="${ROLE_KEY}:product:add">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:add">false</shiro:lacksPermission>,
        			addicon : 'ace-icon fa fa-plus-circle purple',
        			del : <shiro:hasPermission name="${ROLE_KEY}:product:delete">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:delete">false</shiro:lacksPermission>,
        			delicon : 'ace-icon fa fa-trash-o red',
        			search : <shiro:hasPermission name="${ROLE_KEY}:product:search">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:search">false</shiro:lacksPermission>,
        			searchicon : 'ace-icon fa fa-search orange',
        			refresh : true,
        			refreshicon : 'ace-icon fa fa-refresh blue',
        			view : <shiro:hasPermission name="${ROLE_KEY}:product:view">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:view">false</shiro:lacksPermission>,
        			viewicon : 'ace-icon fa fa-search-plus grey'
        		}, {
        			// edit record form
        			// closeAfterEdit: true,
        			// width: 700,
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// new record form
        			// width: 700,
        			closeAfterAdd : true,
        			recreateForm : true,
        			viewPagerButtons : false,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// delete record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				if (form.data('styled'))
        					return false;
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_delete_form(form);
        				form.data('styled', true);
        			},
        			onClick : function(e) {
        				// alert(1);
        			}
        		}, {
        			// search form
        			recreateForm : true,
        			afterShowSearch : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        				style_search_form(form);
        			},
        			afterRedraw : function() {
        				style_search_filters($(this));
        			},
        			multipleSearch : true 
	        		/**
	        		 * multipleGroup:true, showQuery: true
	        		 */
        		}, {
        			// view record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        			}
        		})
        		
        		// add custom button to export the data to excel
        		if(<shiro:hasPermission name="${ROLE_KEY}:product:export">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:product:export">false</shiro:lacksPermission>){
    				jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
   					   caption : "",
   				       title : "导出Excel",
   				       buttonicon : "ace-icon fa fa-file-excel-o green", 
   				       onClickButton : function () { 
   				    	   var keys = [], ii = 0, rows = "";
   				    	   var ids = $(grid_selector).getDataIDs(); // Get All IDs
   				    	   var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
   				    	   //var label = $(grid_selector).jqGrid('getGridParam','colNames');
   	   			    	   for (var k in row) {
   				    	   	   keys[ii++] = k; // capture col names
   				    	   	   rows = rows + k + "\t"; // output each Column as tab delimited
   				    	   }
   				    	   rows = rows + "\n"; // Output header with end of line
   				    	   for (i = 0; i < ids.length; i++) {
   				    	   	   row = $(grid_selector).getRowData(ids[i]); // get each row
   				    	   	   for (j = 0; j < keys.length; j++)
   				    	   		   rows = rows + row[keys[j]] + "\t"; // output each Row as tab delimited
   				    	   	   rows = rows + "\n"; // output each row with end of line
   				    	   }
   				    	   rows = rows + "\n"; // end of line at the end
   				    	   var form = "<form name='csvexportform' action='${contextPath}/sys/company/operateCompany?oper=excel' method='post'>";
   				    	   form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
   				    	   form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
   				    	   OpenWindow = window.open('', '');
   				    	   OpenWindow.document.write(form);
   				    	   OpenWindow.document.close();
   				       } 
   					});        			
        		}
        		
        		function style_edit_form(form) {
        			// form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			// don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
        			// .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

        			// update buttons classes
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
        			buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

        			buttons = form.next().find('.navButton a');
        			buttons.find('.ui-icon').hide();
        			buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
        			buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
        		}

        		function style_delete_form(form) {
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm btn-white btn-round').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-danger').prepend('<i class="ace-icon fa fa-trash-o"></i>');
        			buttons.eq(1).addClass('btn-default').prepend('<i class="ace-icon fa fa-times"></i>')
        		}

        		function style_search_filters(form) {
        			form.find('.delete-rule').val('X');
        			form.find('.add-rule').addClass('btn btn-xs btn-primary');
        			form.find('.add-group').addClass('btn btn-xs btn-success');
        			form.find('.delete-group').addClass('btn btn-xs btn-danger');
        		}
        		function style_search_form(form) {
        			var dialog = form.closest('.ui-jqdialog');
        			var buttons = dialog.find('.EditTable')
        			buttons.find('.EditButton a[id*="_reset"]').addClass('btn btn-sm btn-info').find('.ui-icon').attr('class', 'ace-icon fa fa-retweet');
        			buttons.find('.EditButton a[id*="_query"]').addClass('btn btn-sm btn-inverse').find('.ui-icon').attr('class', 'ace-icon fa fa-comment-o');
        			buttons.find('.EditButton a[id*="_search"]').addClass('btn btn-sm btn-purple').find('.ui-icon').attr('class', 'ace-icon fa fa-search');
        		}

        		function beforeDeleteCallback(e) {
        			var form = $(e[0]);
        			if (form.data('styled'))
        				return false;
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_delete_form(form);
        			form.data('styled', true);
        		}

        		function beforeEditCallback(e) {
        			var form = $(e[0]);
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_edit_form(form);
        		}

        		// it causes some flicker when reloading or navigating grid
        		// it may be possible to have some custom formatter to do this as the grid is being created to prevent this
        		// or go back to default browser checkbox styles for the grid
        		function styleCheckbox(table) {
        			/**
        			 * $(table).find('input:checkbox').addClass('ace') .wrap('<label />') .after('<span class="lbl align-top" />') $('.ui-jqgrid-labels th[id*="_cb"]:first-child')
        			 * .find('input.cbox[type=checkbox]').addClass('ace') .wrap('<label />').after('<span class="lbl align-top" />');
        			 */
        		}

        		// unlike navButtons icons, action icons in rows seem to be hard-coded
        		// you can change them like this in here if you want
        		function updateActionIcons(table) {
        			/**
        			 * var replacement = { 'ui-ace-icon fa fa-pencil' : 'ace-icon fa fa-pencil blue', 'ui-ace-icon fa fa-trash-o' : 'ace-icon fa fa-trash-o red', 'ui-icon-disk' : 'ace-icon fa fa-check green', 'ui-icon-cancel' :
        			 * 'ace-icon fa fa-times red' }; $(table).find('.ui-pg-div span.ui-icon').each(function(){ var icon = $(this); var $class = $.trim(icon.attr('class').replace('ui-icon', '')); if($class in replacement)
        			 * icon.attr('class', 'ui-icon '+replacement[$class]); })
        			 */
        		}

        		// replace icons with FontAwesome icons like above
        		function updatePagerIcons(table) {
        			var replacement = {
        				'ui-icon-seek-first' : 'ace-icon fa fa-angle-double-left bigger-140',
        				'ui-icon-seek-prev' : 'ace-icon fa fa-angle-left bigger-140',
        				'ui-icon-seek-next' : 'ace-icon fa fa-angle-right bigger-140',
        				'ui-icon-seek-end' : 'ace-icon fa fa-angle-double-right bigger-140'
        			};
        			$('.ui-pg-table:not(.navtable) > tbody > tr > .ui-pg-button > .ui-icon').each(function() {
        				var icon = $(this);
        				var $class = $.trim(icon.attr('class').replace('ui-icon', ''));

        				if ($class in replacement)
        					icon.attr('class', 'ui-icon ' + replacement[$class]);
        			})
        		}

       		function enableTooltips(table) {
       			$('.navtable .ui-pg-button').tooltip({
       				container : 'body'
       			});
       			$(table).find('.ui-pg-div').tooltip({
       				container : 'body'
       			});
       		}
       		
        		// var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');
        		$(document).one('ajaxloadstart.page', function(e) {
        			$(grid_selector).jqGrid('GridUnload');
        			$('.ui-jqdialog').remove();
        		});
        	});
        });
</script>
